summaryrefslogtreecommitdiffstats
path: root/webkit/webkit.xcodeproj/jsconfig_prebuild.sh
diff options
context:
space:
mode:
Diffstat (limited to 'webkit/webkit.xcodeproj/jsconfig_prebuild.sh')
-rwxr-xr-xwebkit/webkit.xcodeproj/jsconfig_prebuild.sh11
1 files changed, 11 insertions, 0 deletions
diff --git a/webkit/webkit.xcodeproj/jsconfig_prebuild.sh b/webkit/webkit.xcodeproj/jsconfig_prebuild.sh
new file mode 100755
index 0000000..b6da7b8
--- /dev/null
+++ b/webkit/webkit.xcodeproj/jsconfig_prebuild.sh
@@ -0,0 +1,11 @@
+#!/bin/sh
+
+# Copyright (c) 2008 The Chromium Authors. All rights reserved.
+# Use of this source code is governed by a BSD-style license that can be
+# found in the LICENSE file.
+
+set -ex
+GENERATED_DIR="${CONFIGURATION_TEMP_DIR}/generated"
+mkdir -p "${GENERATED_DIR}"
+cd build/JSConfig
+exec bash create-config.sh "${GENERATED_DIR}" v8